/********************************************************************************************
**   Webring fuer private Homepages
**
**   Autor: Thomas Meyer   Mail: tom@all-community.de
**
**   nicht fr Firmen oder kommerzielle Nutzung, keine unerlaubte Weitergabe, kein Verkauf
**
*********************************************************************************************/

var indexNummer = 0;
mitglieder = new Array();

function mitglied(titel, beschreibung, url) {
  var i = mitglieder.length;
  mitglieder[i] = new Object();
  mitglieder[i].TITEL    = titel;
  mitglieder[i].DESCR    = beschreibung;
  mitglieder[i].URL      = url;
};

function webring() {
  with (document) {
    writeln('<!-- Webring Code -->');
    writeln('<map name="WebringMap">');
    writeln('  <area href="javascript:prev()" shape="rect" coords="2, 62, 85, 129">');
    writeln('  <area href="javascript:about()" shape="rect" coords="90, 61, 147, 127">');
    writeln('  <area href="javascript:next()" shape="rect" coords="149, 62, 229, 126">');
    writeln('</map>');
    writeln('<img src="'+homepage+'/'+bild+'" usemap="#WebringMap" border="0" width="230" height="130">');
    writeln('<!-- Ende: Webring Code -->');
  };

  var thisUrl = document.location.href;
  for (var i=0; i<mitglieder.length; i++) {
    if (thisUrl.indexOf(mitglieder[i].URL) != -1) {
      indexNummer = i;
      break;
    };
  };
};

function preview() {
  with (document) {
    writeln('<!-- Webring Code -->');
    writeln('<map name="WebringMap">');
    writeln('  <area href="javascript:prev()" shape="rect" coords="2, 62, 85, 129">');
    writeln('  <area href="javascript:about()" shape="rect" coords="90, 61, 147, 127">');
    writeln('  <area href="javascript:next()" shape="rect" coords="149, 62, 229, 126">');
    writeln('</map>');
    writeln('<img src="'+bild+'" usemap="#WebringMap" border="0" width="230" height="130">');
    writeln('<!-- Ende: Webring Code -->');
  };
};

function prev() {
  if (indexNummer != 0) { window.open(mitglieder[indexNummer-1].URL, '_blank');
  } else { window.open(mitglieder[mitglieder.length-1].URL, '_blank'); };
};

function next() {
  if (indexNummer < mitglieder.length-1) { window.open(mitglieder[indexNummer+1].URL, '_blank');
  } else { window.open(mitglieder[0].URL, '_blank'); };
};

function about() {
  var infoSeite = window.open("", "Info", "width=350, height=500, scrollbars=1");
  with (infoSeite.document) {
    clear();
    writeln('\n<html>\n<head>\n  <title>Info</title>\n</head>\n\n<body link="orange" vlink="orange" alink="orange" bgColor="darkred" text="white">\n');
    writeln('<style>');
    writeln('  A:HOVER { color: antiquewhite }');
    writeln('  P       { FONT-SIZE: 10pt; MARGIN: 10pt }');
    writeln('  UL      { FONT-SIZE: 11pt; COLOR: orange; FONT-WEIGHT: bold }');
    writeln('</style>');
    writeln('  <font face="Arial, Helvetica">');
    writeln('<DIV align=justify>');
    writeln('<H3>Webring</H3>');
    writeln('<P>'+beschreibung+'</P>');
    writeln('<P>Wollt ihr mitmachen? Dann besucht unsere Homepage:');
    writeln('<a href="'+homepage+'" target="_blank">'+homepage+'</a> oder schreibt mir eine Mail an');
    writeln('<a href="mailto:'+mailadresse+'" target="_blank">'+mailadresse+'</a>.</P>');
    writeln('<H4>Teilnehmer</H4>');
    writeln('<UL>');
    for (var i=0; i<mitglieder.length; i++) {
      writeln('<LI><A HREF="'+mitglieder[i].URL+'" TARGET="_BLANK">'+mitglieder[i].TITEL+'</A><BR>'+mitglieder[i].DESCR+'</LI>');
    };
    writeln('</UL>');
    writeln('<H4>&Uuml;ber uns ...</H4>');
    writeln('<P>F&uuml;r die Teilnahme an diesem Webring m&uuml;ssen ein paar einfache Regeln beachtet werden:');
    writeln('<P>Jeder Teilnehmer ist f&uuml;r den Inhalt seiner Webseiten selbst verantwortlich.');
    writeln('<P>Die Homepage sollte inhaltlich zu uns passen, falls das nicht der Fall ist, nehmen wir die Seite nicht auf, bzw. werden sie auch wieder ausschliessen.');
    writeln('<P>Wer gesetzlich verbotene, fremdenfeindliche oder beleidigende Inhalte auf seiner Seite hat, ist von der Teilnahme prinzipiell ausgeschlossen.');
    writeln('<P>Jeder Teilnehmer muss (da er von diesem Webring schlie&szlig;lich auch profitieren will) unseren Webring-Code gut sichtbar auf seiner Homepage einbauen. Nur so sind auch die Seiten der anderen erreichbar.');
    writeln('<P>Wer gegen diese Regeln verst&ouml;sst kann ohne weiteren Kommentar oder Vorwarnung aus der Liste der Teilnehmer gel&ouml;scht werden.');
    writeln('<H4>Die Autoren</H4>');
    writeln('<P>Die Nutzung dieses Skriptes durch Firmen oder zu kommerziellen Zwecken ist nicht erlaubt. Weitergabe oder Verkauf ohne schriftliche Genehmigung sind untersagt.');
    writeln('Was kostenlos ist soll schlie&szlig;lich auch kostenlos bleiben ;)');
    writeln('<P>Einen eigenen Webring f&uuml;r deine Homepage bekommst du bei uns.</P>');
    writeln('<P><strong>Autor:</strong> Thomas Meyer');
    writeln('<BR> <strong>Home:</strong> <a href="http://www.all-community.de" target="_blank">www.All-Community.de</a>');
    writeln('<BR> <strong>Mail:</strong> <a href="mailto:support@all-community.de" target="_blank">support@All-Community.de</a></p>');
    writeln('<P>Alle Rechte an diesem Tool liegen beim Autor.</p>');
    writeln('<H4>Haftungsausschluss</H4>');
    writeln('<P>Mit Urteil vom 12. Mai 1998 - 312 O 85/98 - hat das Landgericht (LG) in Hamburg entschieden, dass man durch die Anbringung eines Links, die Inhalte der gelinkten Seite ggf. mit zu verantworten hat. Dies kann - so das LG - nur dadurch verhindert werden, indem man sich ausdrcklich von diesen Inhalten distanziert. Hiermit distanzieren wir uns ausdrcklich von allen Inhalten aller verlinkten Seiten.</P>');
    writeln('<HR><P>&copy; Ringmaster: '+besitzer+'</P>');
    writeln('</DIV>');
    writeln('  </font>')
    writeln('</body>\n</html>');
    close();
  };

  infoSeite.focus();
};

function sendMail() {

  if (document.mail.URL.value == "") {
     alert('Sie mssen die URL ihrer Homepage angeben.');
     return false;
  } else if (document.mail.EMail.value == "") {
     alert('Sie mssen ihre EMailadresse angeben, damit ihnen der RingCode ' +
           'zugesandt werden kann.');
     return false;
  } else {
     document.mail.submit();
     document.location.href = 'gesendet.html';
     return true;
  };

};

//  2002, Thomas Meyer www.All-Community.de
// Copyright Hinweis nicht entfernen!
